<?php

namespace Crater;

use Illuminate\Database\Eloquent\Model;
use Crater\Item;

class Unit extends Model
{
    protected $fillable = ['name', 'company_id'];

    public function items()
    {
        return $this->hasMany(Item::class);
    }

    public function company()
    {
        return $this->belongsTo(Company::class);
    }

    public function scopeWhereCompany($query, $company_id)
    {
        $query->where('company_id', $company_id);
    }
}
